camel-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robbie Gemmell (JIRA)" <j...@apache.org>
Subject [jira] [Created] (CAMEL-10367) remove extraneous dependency from camel-amqp module
Date Tue, 04 Oct 2016 11:19:20 GMT
Robbie Gemmell created CAMEL-10367:
--------------------------------------

             Summary: remove extraneous dependency from camel-amqp module
                 Key: CAMEL-10367
                 URL: https://issues.apache.org/jira/browse/CAMEL-10367
             Project: Camel
          Issue Type: Bug
          Components: camel-amqp
    Affects Versions: 2.17.3
            Reporter: Robbie Gemmell
             Fix For: 2.18.0


I notice from http://camel.apache.org/amqp.html that camel-amqp is considered to support only
AMQP 1.0 as of Camel 2.17.0. The camel-amqp module however in addition to its dependency on
the newer Qpid AMQP 1.0 JMS client, continues to have a dependency on an old version of the
Qpid AMQP 0-x JMS client. Since it isn't used anymore this dependency should be removed.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message